@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.navbar {
    height: 6vh;
}

.navbar-element {
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    max-width:100% !important;
}

@media (max-width: 950px) {
    .navbar-md-spec {
        display: none;
    }

    .navbar-sm-spec {
        display: inline-block;
    }

    .icon-f-size {
        font-size: 0.73em;
    }

    .ham-margin {
        margin-left: 18px;
    }
}

@media (min-width: 951px) {
    .navbar-md-spec {
        display: inline-block;
    }

    .navbar-sm-spec {
        display: none;
    }

    .ham-margin {
        margin-left: 10px;
    }
}

.navbar-sm-spec{
    height:7vh;
}

.navbar-md-spec
{
    
}

.box-shaddow-nav {
    box-shadow: 0 0 2px rgba(0,0,0,.5);
}

.dark-blue-bg {
    background-color: #023056 !important;
    color: #FFF !important;
}

.med-blue-bg {
    background-color: #236092 !important;
    color: #FFF !important;
}

.light-blue-bg {
    background-color: #7BADD3 !important;
    color: #FFF !important;
}

.dark-blue-bg a, .dark-blue-bg span, .dark-blue-bg i {
    color: #FFF !important;
}

.med-blue-bg a, .med-blue-bg span {
    color: #FFF !important;
}

.med-blue-bg i 
{
    color: #fff;
}

.med-blue-bg-active i 
{
    color: #a0ccf2 !important;
}

.light-blue-bg a, .light-blue-bg span, .light-blue-bg i {
    color: #FFF !important;
}

button {
    border: none !important;
    margin: 3px;
}

    button.no-bg {
        background: none;
        border: none;
        color: #FFF;
    }

.orange-heading {
    color: #D4623B;
}

button i {
    margin-right: 4px;
}

button.orange-button {
    background-color: #D4623B;
    color: #FFF;
    border-radius: 5px;
    font-weight: bold;
    padding: 3px 8px;
}

@media(min-width:300px) {
    .logo-interius {
        display: none;
    }

    .logo-interius-og {
        display: inline-block;
        height: 100%;
        width: 100%;
    }
}

@media (min-width:500px)
{
    .logo-interius {
        display: inline-block;
        height: 100%;
        width: 100%
    }

    .logo-interius-og {
        display: none;
    }
}

.search-section .field label {
    width: 140px;
    float: left;
    font-weight: bold;
}

.search-section .field input,
.search-section .field select,
.search-section .field textarea {
    float: left;
    min-width: 150px;
}

.search-section .button-group {
    float: right;
    margin: .5em;
}

table th {
    background-color: #236092;
    color: #FFF !important;
    font-weight: bold !important;
}

table td, th {
    border: 1px solid rgba(21,41,64,0.2);
    padding: 3px 6px;
}

.sidebar {
    height: 94vh;
}

    .sidebar.collapsed {
        width: 4% !important;
    }

h5 {
    font-size: 1.2rem;
}

.collapsed .icon-text {
    display: none;
}

.collapsed .nav-heading {
    display: none;
}

.hamburger {
    font-size: 25px;
    margin-right: 9px;
}

.clearfix {
    clear: both;
}

footer {
    height: 4vh;
}

    footer div {
        margin: 10px auto;
        width: 124px;
        height: 30px;
    }

        footer div.logo-sm {
            background-image: url(/images/logo-sm.png);
            background-repeat: no-repeat;
        }

main {
    height: 89vh;
    overflow: scroll;
    margin-top: 1vh;
}

.container-fluid {
    margin-top: 6vh;
}

.bi {
    width: 2rem;
}

.loading-overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    z-index: 10;
    background-color: white;
}

/* Loader Animation */
.loader-container-text {
    flex-basis: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    position: fixed;
    width: 90%;
    top: 25%;
    left: 43%;
    margin-left: -37.5%;
}

.loader-container {
    flex-basis: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    position: fixed;
    width: 90%;
    top: 30%;
    left: 43%;
    margin-left: -37.5%;
}

.dot-loader {
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background-color: #052F5F;
    position: relative;
    -webkit-animation: 1.2s scaleDown ease-in-out infinite;
    animation: 1.2s scaleDown ease-in-out infinite;
}

    .dot-loader:nth-child(2) {
        margin: 0 15px;
        -webkit-animation: 1.2s scaleDown ease-in-out infinite .15555s;
        animation: 1.2s scaleDown ease-in-out infinite .15555s;
    }

    .dot-loader:nth-child(3) {
        -webkit-animation: 1.2s scaleDown ease-in-out infinite .300000s;
        animation: 1.2s scaleDown ease-in-out infinite .300000s;
    }

@-webkit-keyframes scaleDown {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes scaleDown {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}
/* End - Loader Animation*/

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 250px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* Login Layout */
.container-login {
    margin: 0;
}


.login-box-blue {
    background-color: white;
    max-width: 35%;
    margin: 0 auto;
    position: relative;
    top: 80px;
    padding-bottom: 30px;
    border-radius: 5px;
    box-shadow: 0 5px 50px rgba(0,0,0,0.4);
    text-align: center;
}

@media (max-width:480px){
    .container{
        margin-top: 25%;
    }

    .login-box-blue {
        background-color: white;
        max-width: 90%;
        margin: 0 auto;
        position: relative;
        top: 80px;
        padding-bottom: 30px;
        border-radius: 5px;
        box-shadow: 0 5px 50px rgba(0,0,0,0.4);
        text-align: center;
    }
}


    .login-box-blue .box-header {
        background-color: #023056;
        margin-top: 0;
        border-radius: 5px 5px 0 0;
    }

    .login-box-blue .box-header {
        color: #FFF !important;
        padding: 20px;
    }

    .login-box-blue label {
        font-weight: 700;
        font-size: .8em;
        color: #000;
        letter-spacing: 1px;
        text-transform: uppercase;
        line-height: 2em;
    }

    .login-box-blue input {
        margin-bottom: 20px;
        padding: 8px;
        border: 1px solid #ccc;
        border-radius: 2px;
        font-size: .9em;
        color: #888;
        max-width:80%;
    }

        .login-box-blue input:focus {
            outline: none;
            border-color: #665851;
            transition: 0.5s;
            color: #665851;
        }

    .login-box-blue button {
        margin-top: 0px;
        border: 0;
        border-radius: 2px;
        color: white;
        padding: 10px;
        text-transform: uppercase;
        font-weight: 400;
        font-size: 0.7em;
        letter-spacing: 1px;
        background-color: #023056;
        cursor: pointer;
        outline: none;
    }

        .login-box-blue button:hover {
            opacity: 0.7;
            transition: 0.5s;
        }

        .login-box-blue button:hover {
            opacity: 0.7;
            transition: 0.5s;
        }

.selected {
    color: #665851 !important;
    transition: 0.5s;
}

/* End Login Layout */

/* Error CSS Classes */
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
}

.bi-layout {
    width: 100%;
    height: 100%;
    max-width: 2000px;
    padding-top: 25px;
}

@media (max-width: 800px) {
    .avatar-menu {
        margin: 0em !important;
        margin-bottom: 5px !important;
    }

        .avatar-menu .icon {
            font-size: 8px !important;
            line-height: 20px !important;
            border-radius: 10px;
            height: 20px !important;
            width: 20px !important;
            margin-right: 5px;
        }

        .avatar-menu .user-info {
            height: 8px !important;
            width: 45px !important;
            font-size: 6px !important;
            font-weight: 600;
            letter-spacing: 0;
            line-height: 8px !important;
        }

            .avatar-menu .user-info .user {
                height: 8px !important;
            }

            .avatar-menu .user-info .user-role {
                height: 8px !important;
            }

    .avatar-size {
        width: 120px !important;
    }
}

@media (max-width: 400px) {
    .avatar-menu {
        margin-top: 15px !important;
        margin-bottom: 15px !important;
    }
}

@media (max-width: 500px) {
    .avatar-menu {
        margin-top: 15px !important;
        margin-bottom: 20px !important;
    }
}

@media (min-width: 801px) and (max-width:949px)
{
    .avatar-menu {
        margin-top: 20px !important;
        margin-bottom: 15px !important;
    }

     .avatar-menu {
        margin: 0em !important;
        margin-bottom: 5px !important;
    }

        .avatar-menu .icon {
            font-size: 8px !important;
            line-height: 20px !important;
            border-radius: 10px;
            height: 20px !important;
            width: 20px !important;
            margin-right: 5px;
        }

        .avatar-menu .user-info {
            height: 8px !important;
            width: 45px !important;
            font-size: 6px !important;
            font-weight: 600;
            letter-spacing: 0;
            line-height: 8px !important;
        }

            .avatar-menu .user-info .user {
                height: 8px !important;
            }

            .avatar-menu .user-info .user-role {
                height: 8px !important;
            }

    .avatar-size {
        width: 120px !important;
    }
}

@media (min-width: 950px) {
    .avatar-menu {
        margin-top: 25px !important;
        margin-bottom: 25px !important;
    }
}


